## tiltstick 0.1-4

=== Makefile ===
#
# Makefile for hildon/maemo port of tiltstick_mass demo
# This also installs the udev rule necessary for access to the event interface
#

PROG = tiltstick_mass
CFLAGS += -I/usr/include/SDL -DEVENT_INTERFACE -DOSSO  -DPROG=\"$(PROG)\" `pkg-config --cflags libosso`
OBJ = tiltstick_mass.o SDL_gfxPrimitives.o

all: $(PROG)

$(PROG): $(OBJ)
	gcc -o $@ $(OBJ) -lSDL -ltiltstick `pkg-config --libs libosso`

clean:
	rm -f $(PROG) *.o *~

install:
	install $(PROG) $(DESTDIR)/usr/bin
	install tiltstick_mass.desktop $(DESTDIR)/usr/share/applications/hildon
	install $(PROG).26.png $(DESTDIR)/usr/share/icons/hicolor/26x26/hildon/$(PROG).png
	install $(PROG).40.png $(DESTDIR)/usr/share/icons/hicolor/40x40/hildon/$(PROG).png
	install $(PROG).64.png $(DESTDIR)/usr/share/icons/hicolor/scalable/hildon/$(PROG).png

=== debian/changelog ===
tiltstick (0.1-4) unstable; urgency=low

  * Updated for latest libtiltstick
  * Hide mouse cursor
  * Trigger screen saver
  * Register to get the application launcher icon
	
 -- Till Harbaum <Till@Harbaum.org>  Wed, 12 Mar 2008 08:37:14 +0100

tiltstick (0.1-3) unstable; urgency=low

  * Modified to use tiltstick library (libtiltstick)

 -- Till Harbaum <Till@Harbaum.org>  Tue, 11 Mar 2008 13:51:04 +0100

tiltstick (0.1-2) unstable; urgency=low

  * New USB vendor/product id

 -- Till Harbaum <Till@Harbaum.org>  Wed, 2 Jan 2008 21:28:59 +0100

tiltstick (0.1-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Till Harbaum <Till@Harbaum.org>  Mon, 24 Dec 2007 13:35:42 +0100

=== debian/control ===
Source: tiltstick
Section: user/other
Priority: extra
Maintainer: Till Harbaum <Till@Harbaum.org>
Build-Depends: debhelper (>= 5), libtiltstick-dev (>= 1.0-3), libsdl1.2-dev, libosso-dev
Standards-Version: 3.7.2

Package: tiltstick
Architecture: any
Pre-Depends: maemo-select-menu-location
Depends: ${shlibs:Depends}
Description: TiltStick test applications
 The TiltStick is a USB accelerometer and this package contains a test
 application for it.See http://www.harbaum.org/till/tiltstick for details.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAIAAAAmKNuZAAAACXBIWXMAAAAnAAAAJwEqCZFPAAAB
 A0lEQVRIx+3VMUoDURAG4G8VC40gKqISkKSxsbCwkNiIh0gbyFlyBfEC4hkESy9gkRTeIOsiYkSi
 oiEWhpAQ3X2bgI3+TDl8b3beLktWikXtdmbXIHOhjX+DK/RFHcsznlOgygW3895LWpxTZXEKq0KT
 D/rj1eOGo1zWCfcT0GjdcRxo7RKnWkOxnGlFnAVYX3WayW3QDuZiVieEsRdlj63gFa+xn86t57mx
 BVbSuW4ersdbesc2neDdPXy3mbHpEi6Dp7sizmyq0A0Y7ZWDkDMj6rykWs/UiQKfIqL283eWUMtz
 Y4OUadDiKdJb8kiTBjtTWKM53JRcK82oDPP/6/kl7hPqR4mvMtqhfAAAACp6VFh0Q29tbWVudAAA
 eNrzCnB1t0rPK9XNSE1M0csqSFcwMjerMDIzBABomgeptDkYGQAAAABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/tiltstick.sgml > tiltstick.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tiltstick.
	$(MAKE) DESTDIR=$(CURDIR)/debian/tiltstick install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
